Bug 818360 - Behavior on mistyped initrd line is not helpful
Behavior on mistyped initrd line is not helpful
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 16:46 EDT by Bill Nottingham
Modified: 2014-03-16 23:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:51:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2012-05-02 16:46:28 EDT
Description of problem:

If you mistype the initrd line in the interactive editor, grub2:

1) prints an error about being unable to find the initramfs
2) prints "press any key to continue"
3) 5 seconds later starts the kernel without the initramfs, which promptly panics

Version-Release number of selected component (if applicable):


grub2-2.0-0.24.beta4.fc17.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Edit the initramfs line wrong
  
Actual results:

Without any user interaction, kernel panic

Expected results:

Without any user interaction, returns to menu, or waits for keypress



Additional info:
Comment 1 Vladimir Serbinenko 2012-06-02 05:42:53 EDT
GRUB has the same behaviour whether it's executed manually or automatically and changing automatical behaviour is out of the question since it runs risk of GRUB requesting user assistance on minor faults which would be disastrous for servers
Comment 2 Bill Nottingham 2012-06-03 18:41:01 EDT
While I can see that conistency is good, having it state "press any key to continue", and then continuing without a keypress, is very non-intuitive behavior.
Comment 3 Vladimir Serbinenko 2012-06-03 19:11:22 EDT
It continues either on keypress or on a timeout whichever comes first.
Comment 4 Bill Nottingham 2012-06-04 02:33:14 EDT
Perhaps then the message could be changed?
Comment 5 Vladimir Serbinenko 2012-06-04 06:19:05 EDT
The strings are frozen now due to translations of 2.00 release.
Comment 6 Fedora End Of Life 2013-07-03 22:36:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 04:52:00 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.